Grant a customer a product response 200 (application/json)
Used by Grant a customer a product.
Type: object.
additional properties: forbidden
Required fields apply within this object.
| Field | Required | Type | Description and constraints |
|---|---|---|---|
object | Yes | string | enum: ["product_grant"] |
api (source) | No | object | additional properties: forbidden |
id | Yes | string | format: uuid;
|
customer | Yes | string | format: uuid;
|
product (source) | Yes | object | additional properties: forbidden |
source | Yes | string | enum: ["default","manual","stripe","appStore"] |
status | Yes | string | enum: ["active","completed","refunded"] |
period (source) | Yes | anyOf (2 variants) | |
grantedBy (source) | Yes | anyOf (2 variants) | |
stripe (source) | Yes | anyOf (2 variants) | |
appStore (source) | Yes | anyOf (2 variants) | |
createdAt | Yes | string | format: date-time;
|
updatedAt | Yes | string | format: date-time;
|
payment (source) | No | object | additional properties: forbidden |
additionalProperties: no JSON value.
Last updated on